1

I'm trying to get the Chicago Biblatex package to work, but I haven't found any good example on the web. I downloaded the package and put all the relevant files into the working directory. But the following tex document gives me an error:

\documentclass{article}
\usepackage[utf8]{inputenc}
\begin{filecontents}{\jobname.bib}
@phdthesis{Doe11,
 title={The Title},
 author={Doe, J.},
 year={2011},
 school={University of Mars}
 },

@article{JohSil05,
 title={EbayesThresh: R programs for Empirical Bayes Thresholding},
 author={Johnstone, I.M. and Silverman, B.W.},
 journal={Journal of Statistical Software},
 volume={12},
 number={8},
 pages={1--38},
 year={2005}
},

@book{Joh11,
title = {Gaussian estimation: Sequence and multiresolution models},
author = {Johnstone, Ian M.},
year = {2011},
}
\end{filecontents}
\usepackage[authordate]{biblatex-chicago}
\DeclareFieldFormat[article]{title}{\mkbibquote{#1}} % make article titles in     quotes
\DeclareFieldFormat[thesis]{title}{\mkbibemph{#1}} % make theses italics
\addbibresource{\jobname.bib}
\begin{document}
\nocite{*}
\printbibliography
\end{document} 

And here's the error I get

This is pdfTeX, Version 3.14159265-2.6-1.40.16 (TeX Live 2015) (preloaded format=pdflatex) restricted \write18 enabled. entering extended mode (./Untitled.tex LaTeX2e <2015/01/01> Babel <3.9l> and hyphenation patterns for 79 languages loaded. (/usr/local/texlive/2015/texmf-dist/tex/latex/base/article.cls Document Class: article 2014/09/29 v1.4h Standard LaTeX document class (/usr/local/texlive/2015/texmf-dist/tex/latex/base/size10.clo)) (/usr/local/texlive/2015/texmf-dist/tex/latex/base/inputenc.sty (/usr/local/texlive/2015/texmf-dist/tex/latex/base/utf8.def (/usr/local/texlive/2015/texmf-dist/tex/latex/base/t1enc.dfu) (/usr/local/texlive/2015/texmf-dist/tex/latex/base/ot1enc.dfu) (/usr/local/texlive/2015/texmf-dist/tex/latex/base/omsenc.dfu)))

LaTeX Warning: File `Untitled.bib' already exists on the system. Not generating it from this source.

(./biblatex-chicago.sty (/usr/local/texlive/2015/texmf-dist/tex/latex/etoolbox/etoolbox.sty) (/usr/local/texlive/2015/texmf-dist/tex/latex/biblatex/biblatex.sty

Package biblatex Warning: No "backend" specified, using Biber backend. (biblatex) To use BibTeX, load biblatex with (biblatex) the "backend=bibtex" option.

(/usr/local/texlive/2015/texmf-dist/tex/latex/biblatex/biblatex2.sty (/usr/local/texlive/2015/texmf-dist/tex/latex/graphics/keyval.sty) (/usr/local/texlive/2015/texmf-dist/tex/latex/oberdiek/kvoptions.sty (/usr/local/texlive/2015/texmf-dist/tex/generic/oberdiek/ltxcmds.sty) (/usr/local/texlive/2015/texmf-dist/tex/generic/oberdiek/kvsetkeys.sty (/usr/local/texlive/2015/texmf-dist/tex/generic/oberdiek/infwarerr.sty) (/usr/local/texlive/2015/texmf-dist/tex/generic/oberdiek/etexcmds.sty (/usr/local/texlive/2015/texmf-dist/tex/generic/oberdiek/ifluatex.sty)))) (/usr/local/texlive/2015/texmf-dist/tex/latex/logreq/logreq.sty (/usr/local/texlive/2015/texmf-dist/tex/latex/logreq/logreq.def)) (/usr/local/texlive/2015/texmf-dist/tex/latex/base/ifthen.sty) (/usr/local/texlive/2015/texmf-dist/tex/latex/url/url.sty) (/usr/local/texlive/2015/texmf-dist/tex/latex/biblatex/blx-dm.def) (/usr/local/texlive/2015/texmf-dist/tex/latex/biblatex/blx-compat.def) (/usr/local/texlive/2015/texmf-dist/tex/latex/biblatex/biblatex.def) (./chicago-authordate.bbx) (./chicago-authordate.cbx (./chicago-dates-common.cbx

./chicago-dates-common.cbx:156: LaTeX Error: Missing \begin{document}.

See the LaTeX manual or LaTeX Companion for explanation. Type H for immediate help. ...

l.156 \DeclareBibliographyOption[bo olean]{genallnames}[true]{% ?

Thanks for your help!

  • Did you notice the warning message "LaTeX Warning: File 'Untitled.bib' already exists on the system. Not generating it from this source." What happens if you load the filecontents package explicitly (before \begin{filecontents}, obviously) and rerun latex, biber, and latex? – Mico Mar 26 '17 at 16:55
  • A separate query: Which version of the biblatex-chicago package is loaded by your system? Is it version 3.4, dated 2016/06/01? – Mico Mar 26 '17 at 16:57
  • 1
    Did you notice that the typesetting stopped at line 156 and the declared variable type was 'bo olean' instead of 'boolean'? Do you have an old copy of the biblatex-chicago package? I have no problem typesetting with a fully updated TL-2016. – Herb Schulz Mar 26 '17 at 18:21
  • I just downloaded the biblatex-chicago package this morning from CTAN, version 1.0rc2 2017-03-26. I also downloaded biber this morning, so it should also be up to date. I'm not 100% sure whether biber is correctly installed. I'm using texstudio and changed in the setting the default bibliography to biber, and everything compiles correctly and displays the bibliography unless I try to use this biblatex-chicago package. – Christian Mar 26 '17 at 21:06
1

The recent version of biblatex-chicago (2016/06/07) complies with recent changes in the biber command and the biblatex package.

If you downloaded a recent copy of the package, then used it with TL 2015, you may have a mismatch among executable programs and package dependencies. The biber program, biblatex package, and biblatex-Chicago dependent package all track together. Thus, in March 2016 updates to biblatex-Chicago allowed working with biblatex 3.3. The May and June releases segued into biblatex 3.4. Currently, biblatex-chicago has needed no updates for biblatex 3.5 through 3.7. Considerable updates have occurred with biber, as we see here. Thus, your issue is likely the result of changes and bug fixes in recent versions not working with your older distribution.

I would recommend updating to TL 2016 (or the latest TL as one reads this) and ensure that you expunge all the temporary files created by biber and biblatex so that you have no remaining cruft. Same for aux files. Then recompile. Your example file TeXes nicely on TL 2016.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.